	SUBROUTINE GET_CPU_ARCH (ARCH_TYPE)
	IMPLICIT NONE
	CHARACTER*4	ARCH_TYPE
C******************************************************************************
C***
C***	This routine returns the current CPU arcitecture type.
C***
C***	PARAMETERS :
C***
C***		ARCH_TYPE	(C*4)	Output CPU architecture type.
C***					"VAX " - For VAX
C***					"AXP " = For Alpha AXP
C***
C***	Author :	Jeff Cameron
C***
C***	Modification history :
C***
C***	Programmer	Date		Description
C*** ----------------------------------------------------------------------
C***	Jeff Cameron	19-FEB-1996	Initially written
C*** ----------------------------------------------------------------------
C***	Hi Gooma!
C******************************************************************************
C
C***	Constants
	INCLUDE		'($SYIDEF)'
C
C***	Common blocks
C
C***	Local declarations
	CHARACTER*15	ARCH_NAME
	INTEGER*4	ISTAT,SIZE
	INTEGER*4	ITMLST (3)
	INTEGER*2	ITLST (2)
	EQUIVALENCE	(ITMLST,ITLST)
C
C***	Externals
	INTEGER*4	SYS$GETSYIW
	EXTERNAL	SYS$GETSYIW
C
C***	Formats
C------------------------------------------------------------------------------
C
C***	Begining of executable code.
C
	ITLST(1) = 15		! ARCH_NAME BUFFER IS 15 BYTES
	ITLST(2) = SYI$_ARCH_NAME
	ITMLST (2) = %LOC (ARCH_NAME)
	ITMLST (3) = %LOC (SIZE)
C
	ISTAT = SYS$GETSYIW (,,,ITMLST,,,)
	IF (.NOT. ISTAT) CALL SYS_SIGNAL (ISTAT)
C
	CALL UPCASE (ARCH_NAME)
	IF (ARCH_NAME(1:3) .EQ. 'VAX') THEN
	    ARCH_TYPE = 'VAX '
	ELSE IF (ARCH_NAME(1:5) .EQ. 'ALPHA') THEN
	    ARCH_TYPE = 'AXP '
	ELSE
	    ARCH_TYPE = ARCH_NAME (1:4)
	ENDIF
C
C***	All done
	RETURN
	END
